
void _efl_canvas_alpha_animation_alpha_set(Eo *obj, Efl_Canvas_Alpha_Animation_Data *pd, double from_alpha, double to_alpha);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_animation_alpha_set, EFL_FUNC_CALL(from_alpha, to_alpha), double from_alpha, double to_alpha);

void _efl_canvas_alpha_animation_alpha_get(const Eo *obj, Efl_Canvas_Alpha_Animation_Data *pd, double *from_alpha, double *to_alpha);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_animation_alpha_get, EFL_FUNC_CALL(from_alpha, to_alpha), double *from_alpha, double *to_alpha);

Efl_Object *_efl_canvas_alpha_animation_efl_object_constructor(Eo *obj, Efl_Canvas_Alpha_Animation_Data *pd);


double _efl_canvas_alpha_animation_efl_canvas_animation_animation_apply(Eo *obj, Efl_Canvas_Alpha_Animation_Data *pd, double progress, Efl_Canvas_Object *target);


static Eina_Bool
_efl_canvas_alpha_animation_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_ALPHA_ANIMATION_EXTRA_OPS
#define EFL_CANVAS_ALPHA_ANIMATION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_animation_alpha_set, _efl_canvas_alpha_animation_alpha_set),
      EFL_OBJECT_OP_FUNC(efl_animation_alpha_get, _efl_canvas_alpha_animation_alpha_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_alpha_animation_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_animation_apply, _efl_canvas_alpha_animation_efl_canvas_animation_animation_apply),
      EFL_CANVAS_ALPHA_ANIMATION_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_alpha_animation_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Alpha_Animation",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Alpha_Animation_Data),
   _efl_canvas_alpha_animation_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_alpha_animation_class_get, &_efl_canvas_alpha_animation_class_desc, EFL_CANVAS_ANIMATION_CLASS, NULL);
